From 91875b058bb30471892bf63069d6bc32d83ab318 Mon Sep 17 00:00:00 2001
From: Holger Just <hjust@meine-er.de>
Date: Sat, 25 Aug 2012 12:22:17 +0200
Subject: Replace RAILS_DEFAULT_LOGGER with Rails.logger

--HG--
extra : source : 3e15966f6e0dfd499d1ad4342045f0c34d4aebb2
---
 app/models/mailer.rb                         |    2 +-
 extra/sample_plugin/init.rb                  |    2 +-
 lib/redmine/imap.rb                          |    2 +-
 lib/redmine/pop3.rb                          |    2 +-
 lib/redmine/scm/adapters/abstract_adapter.rb |    2 +-
 5 files changed, 5 insertions(+), 5 deletions(-)

diff --git a/app/models/mailer.rb b/app/models/mailer.rb
index 139c38c..7cfaead 100644
--- a/app/models/mailer.rb
+++ b/app/models/mailer.rb
@@ -482,7 +482,7 @@ class Mailer < ActionMailer::Base
   end
 
   def mylogger
-    RAILS_DEFAULT_LOGGER
+    Rails.logger
   end
 end
 
diff --git a/extra/sample_plugin/init.rb b/extra/sample_plugin/init.rb
index 33ce9a2..6c5a7c5 100644
--- a/extra/sample_plugin/init.rb
+++ b/extra/sample_plugin/init.rb
@@ -15,7 +15,7 @@
 # Redmine sample plugin
 require 'redmine'
 
-RAILS_DEFAULT_LOGGER.info 'Starting Example plugin for RedMine'
+Rails.logger.info 'Starting Example plugin for RedMine'
 
 Redmine::Plugin.register :sample_plugin do
   name 'Example plugin'
diff --git a/lib/redmine/imap.rb b/lib/redmine/imap.rb
index e63410c..cd672a4 100644
--- a/lib/redmine/imap.rb
+++ b/lib/redmine/imap.rb
@@ -50,7 +50,7 @@ module Redmine
       private
 
       def logger
-        RAILS_DEFAULT_LOGGER
+        Rails.logger
       end
     end
   end
diff --git a/lib/redmine/pop3.rb b/lib/redmine/pop3.rb
index 9398d20..526e7aa 100644
--- a/lib/redmine/pop3.rb
+++ b/lib/redmine/pop3.rb
@@ -64,7 +64,7 @@ module Redmine
       private
 
       def logger
-        RAILS_DEFAULT_LOGGER
+        Rails.logger
       end
     end
   end
diff --git a/lib/redmine/scm/adapters/abstract_adapter.rb b/lib/redmine/scm/adapters/abstract_adapter.rb
index f7d6ce5..fa3a2d1 100644
--- a/lib/redmine/scm/adapters/abstract_adapter.rb
+++ b/lib/redmine/scm/adapters/abstract_adapter.rb
@@ -188,7 +188,7 @@ module Redmine
         end
 
         def self.logger
-          RAILS_DEFAULT_LOGGER
+          Rails.logger
         end
 
         def self.shellout(cmd, &block)
-- 
1.7.1


